import type * as echarts from 'echarts';
export declare function createLegendIcon(icon: string | undefined, color: string, width: number, height: number, strokeWidth?: number, marker?: string): SVGSVGElement;
export declare function buildCustomLegendOverlay(option: echarts.EChartsOption, size: {
    w: number;
    h: number;
}): HTMLElement | null;
